summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/ftnchek/README6
-rw-r--r--development/ftnchek/ftnchek.SlackBuild81
-rw-r--r--development/ftnchek/ftnchek.info10
-rw-r--r--development/ftnchek/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/development/ftnchek/README b/development/ftnchek/README
new file mode 100644
index 0000000000..8795b98236
--- /dev/null
+++ b/development/ftnchek/README
@@ -0,0 +1,6 @@
+ftnchek (short for Fortran checker) is designed to detect certain
+errors in a Fortran program that a compiler usually does not. ftnchek
+is not primarily intended to detect syntax errors. Its purpose is to
+assist the user in finding semantic errors. Semantic errors are legal
+in the Fortran language but are wasteful or may cause incorrect opera-
+tion.
diff --git a/development/ftnchek/ftnchek.SlackBuild b/development/ftnchek/ftnchek.SlackBuild
new file mode 100644
index 0000000000..e2a983483b
--- /dev/null
+++ b/development/ftnchek/ftnchek.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for ftnchek
+
+# Written by Pablo Santamaria (pablosantamaria at gmail.com)
+
+PRGNAM=ftnchek
+VERSION=${VERSION:-3.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+OPTIONS="$SLKCFLAGS" \
+make
+mkdir -p $PKG/usr/share/emacs/site-lisp
+make install prefix=$PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ FAQ INSTALL LICENSE PATCHES README ToDo \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ftnchek/ftnchek.info b/development/ftnchek/ftnchek.info
new file mode 100644
index 0000000000..eb74274789
--- /dev/null
+++ b/development/ftnchek/ftnchek.info
@@ -0,0 +1,10 @@
+PRGNAM="ftnchek"
+VERSION="3.3.1"
+HOMEPAGE="http://www.dsm.fordham.edu/~ftnchek/"
+DOWNLOAD="http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1.tar.gz"
+MD5SUM="e1f4ce51ea1a85e7b080ab5d23013f97"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="Niels Horn"
diff --git a/development/ftnchek/slack-desc b/development/ftnchek/slack-desc
new file mode 100644
index 0000000000..e9ddb65305
--- /dev/null
+++ b/development/ftnchek/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ftnchek: ftnchek (a static analyzer for Fortran 77 programs)
+ftnchek:
+ftnchek: ftnchek (short for Fortran checker) is designed to detect certain
+ftnchek: errors in a Fortran program that a compiler usually does not.
+ftnchek:
+ftnchek:
+ftnchek:
+ftnchek:
+ftnchek:
+ftnchek:
+ftnchek: